Bug 1597436 (CVE-2018-13033) - CVE-2018-13033 binutils: Uncontrolled Resource Consumption in execution of nm
Summary: CVE-2018-13033 binutils: Uncontrolled Resource Consumption in execution of nm
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-13033
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180701,reported=2...
Depends On: 1597440 1597438 1597439 1597441 1597442 1598859 1598860
Blocks: 1597444
TreeView+ depends on / blocked
 
Reported: 2018-07-02 22:57 UTC by Laura Pardo
Modified: 2019-06-14 08:54 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:31:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3032 None None None 2018-10-30 07:24:37 UTC

Description Laura Pardo 2018-07-02 22:57:23 UTC
A flaw was found in The Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.30, allows remote attackers to cause a denial of service (excessive memory allocation and application crash) via a crafted ELF file. This can occur during execution of nm.


References:
https://sourceware.org/bugzilla/show_bug.cgi?id=23361

Comment 1 Laura Pardo 2018-07-02 22:58:23 UTC
Created binutils tracking bugs for this issue:

Affects: fedora-all [bug 1597440]


Created mingw-binutils tracking bugs for this issue:

Affects: epel-all [bug 1597438]
Affects: fedora-all [bug 1597442]

Comment 3 Pedro Yóssis Silva Barbosa 2018-07-06 15:46:31 UTC
Upstream patch: https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;a=commitdiff;h=95a6d235661

Comment 6 errata-xmlrpc 2018-10-30 07:24:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3032 https://access.redhat.com/errata/RHSA-2018:3032


Note You need to log in before you can comment on or make changes to this bug.